Executive Summary

Summary
Title Investintech.com SlimPDF Reader contains multiple vulnerabilities
Informations
NameVU#275036First vendor Publication2011-10-03
VendorVU-CERTLast vendor Modification2011-11-29
Severity (Vendor) N/ARevisionM

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:C/I:C/A:C)
Cvss Base Score9.3Attack RangeNetwork
Cvss Impact Score10Attack ComplexityMedium
Cvss Expoit Score8.6AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

Vulnerability Note VU#275036

Investintech.com SlimPDF Reader contains multiple vulnerabilities

Overview

Investintech.com's SlimPDF viewer contains multiple vulnerabilities which may result in a denial of service and possibly arbitrary code execution.

I. Description

Investintech.com's SlimPDF viewer contains multiple vulnerabilities, which include; user mode write access violations, read access violations on block data moves, write addresses being controlled by data from faulting instructions, data from faulting addresses control branch selection, and tainted data is passed to function calls. These vulnerabilities may be exploitable to leverage arbitrary code execution with the privileges of the user running the vulnerable application. If vulnerable code is shared among other Investintech.com products they may also be affected. It has been reported that the following applications are susceptible to a denial of service crash, which may possibly lead to arbitrary code execution: Able2Doc, Able2Doc Professional, Able2Extract, Absolute PDF Server, and Able2Extract Server.

II. Impact

By convincing a user to open an untrusted specially-crafted .PDF file, a remote, unauthenticated attacker may be able to execute arbitrary code with the privileges of the vulnerable application.

III. Solution

Apply an Update

Investintech.com has released the following versions to address these issues in SlimPDF Reader and related products.


Slim PDF Reader v1.0.1.12:
http://www.investintech.com/download/SPR/1.0.1.12/InstallSlimPDFReader.exe


Able2Doc Std 6.0.8.22:
http://www.investintech.com/download/A2E/7.0.8.22/InstallAble2Doc.exe


Able2Doc Pro 6.0.8.22:
http://www.investintech.com/download/A2E/7.0.8.22/InstallAble2DocPro.exe


Able2Extract Std 7.0.8.22:
http://www.investintech.com/download/A2E/7.0.8.22/InstallAble2Extract.exe


Able2Extract Pro 7.0.8.22:
http://www.investintech.com/download/A2E/7.0.8.22/InstallAble2ExtractPro.exe

Workarounds

Use the Microsoft Enhanced Mitigation Experience Toolkit


The Microsoft Enhanced Mitigation Experience Toolkit (EMET) can be used to help prevent exploitation of these vulnerabilities.

Enable DEP in Microsoft Windows


Consider enabling Data Execution Prevention (DEP) in supported versions of Windows. DEP should not be treated as a complete workaround, but it can mitigate the execution of attacker-supplied code in some cases. Microsoft has published detailed technical information about DEP in Security Research & Defense blog posts "Understanding DEP as a mitigation technology" part 1 and part 2. DEP should be used in conjunction with the application of patches or other mitigations described in this document.


Note that when relying on DEP for exploit mitigation, it is important to use a system that supports Address Space Layout Randomization (ASLR) as well. ASLR is not supported by Windows XP or Windows Server 2003 or earlier. ASLR was introduced with Microsoft Windows Vista and Windows Server 2008. Please see the Microsoft SRD blog entry: On the effectiveness of DEP and ASLR for more details.

Vendor Information

VendorStatusDate NotifiedDate Updated
Investintech.com IncAffected2011-03-222011-09-15

References

http://www.investintech.com/resources/freetools/slimpdfreader/
http://www.investintech.com/prod_options.htm

Credit

Thanks to Carlos Mario Penagos Hollmann of Synapse Information Technology for reporting this vulnerability.

This document was written by Jared Allar.

Other Information

Date Public:2011-09-30
Date First Published:2011-10-03
Date Last Updated:2011-11-29
CERT Advisory:
CVE-ID(s):
NVD-ID(s):
US-CERT Technical Alerts:
Severity Metric:1.77
Document Revision:21

Original Source

Url : http://www.kb.cert.org/vuls/id/275036

CWE : Common Weakness Enumeration

idName
CWE-264Permissions, Privileges, and Access Controls
CWE-399Resource Management Errors

CPE : Common Platform Enumeration

TypeDescriptionCount
Application2
Application1
Application1
Application1
Application2

ExploitDB Exploits

idDescription
2012-06-25Able2Doc and Able2Doc Professional v 6.0 Memory Corruption
2012-06-25Able2Extract and Able2Extract Server v 6.0 Memory Corruption
2012-06-25Slimpdf Reader 1.0 Memory Corruption

OpenVAS Exploits

DateDescription
2011-11-09Name : Investintech Products Denial of Service Vulnerabilities
File : nvt/gb_investintech_prdts_dos_vuln.nasl

Open Source Vulnerability Database (OSVDB)

idDescription
76853Investintech.com SlimPDF Reader Write Operation PDF Handling Remote Code Exec...
76852Investintech.com SlimPDF Reader Block Data Move Read Operation Unspecified PD...
76851Investintech.com SlimPDF Reader Faulting-Instruction Data Write Operation PDF...
76850Investintech.com SlimPDF Reader Faulting-Address Data PDF Handling Remote Cod...
76849Investintech.com Multiple Product Unspecified PDF Handling Remote Code Execution
76848Investintech.com Absolute PDF Server Unspecified PDF Handling Remote Code Exe...

Nessus® Vulnerability Scanner

DateDescription
2012-10-18Name : The remote host has an application installed that is affected by multiple vul...
File : investintech_able2doc_6_0_8_22.nasl - Type : ACT_GATHER_INFO
2012-10-18Name : The remote host has an application installed that is affected by multiple vul...
File : investintech_able2extract_7_0_8_22.nasl - Type : ACT_GATHER_INFO
2012-10-18Name : The remote host has an application installed that is affected by multiple vul...
File : investintech_slimpdf_reader_1_0_1_12.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2014-02-17 12:07:40
  • Multiple Updates